<template>
  <header>
    <div class="flex">
      <router-link to="/" v-if="token">
        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M19 21H5C4.73478 21 4.48043 20.8947 4.29289 20.7071C4.10536 20.5196 4 20.2653 4 20V11H1L11.327 1.61204C11.5111 1.44452 11.7511 1.35168 12 1.35168C12.2489 1.35168 12.4889 1.44452 12.673 1.61204L23 11H20V20C20 20.2653 19.8946 20.5196 19.7071 20.7071C19.5196 20.8947 19.2652 21 19 21ZM6 19H18V9.15704L12 3.70304L6 9.15704V19Z" fill="#09121F"/>
        </svg>
      </router-link>
      <router-link to="/comments" v-if="token">
        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M5.763 17H20V5H4V18.385L5.763 17ZM6.455 19L2 22.5V4C2 3.73478 2.10536 3.48043 2.29289 3.29289C2.48043 3.10536 2.73478 3 3 3H21C21.2652 3 21.5196 3.10536 21.7071 3.29289C21.8946 3.48043 22 3.73478 22 4V18C22 18.2652 21.8946 18.5196 21.7071 18.7071C21.5196 18.8946 21.2652 19 21 19H6.455Z" fill="#09121F"/>
        </svg>
      </router-link>
    </div>

    <router-link to="/login" v-if="!token">
      <svg width="58" height="58" viewBox="0 0 58 58" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M29.5494 4.64453C20.9117 4.62187 13.3105 9.09082 8.96618 15.8424C8.7736 16.1426 8.98883 16.5391 9.34567 16.5391H13.3275C13.5994 16.5391 13.8543 16.4201 14.0242 16.2105C14.4207 15.7291 14.8455 15.2646 15.2929 14.8228C17.1394 12.982 19.2861 11.532 21.6763 10.5238C24.1459 9.48163 26.774 8.94921 29.4871 8.94921C32.2002 8.94921 34.8283 9.47597 37.2978 10.5238C39.688 11.532 41.8347 12.982 43.6812 14.8228C45.5277 16.6637 46.972 18.8103 47.9859 21.1949C49.0337 23.6644 49.5605 26.2869 49.5605 29C49.5605 31.7131 49.0281 34.3355 47.9859 36.8051C46.9777 39.1896 45.5277 41.3363 43.6812 43.1771C41.8347 45.018 39.688 46.468 37.2978 47.4762C34.8263 48.52 32.17 49.0556 29.4871 49.0508C26.774 49.0508 24.1459 48.5184 21.6763 47.4762C19.2908 46.469 17.123 45.0091 15.2929 43.1771C14.8455 42.7297 14.4263 42.2652 14.0242 41.7894C13.8543 41.5799 13.5937 41.4609 13.3275 41.4609H9.34567C8.98883 41.4609 8.76793 41.8574 8.96618 42.1576C13.3048 48.8922 20.872 53.3555 29.4871 53.3555C42.8656 53.3555 53.7293 42.5881 53.8652 29.2492C54.0011 15.6951 43.1205 4.67851 29.5494 4.64453ZM22.3741 35.3437V31.0391H4.58899C4.33977 31.0391 4.13586 30.8352 4.13586 30.5859V27.4141C4.13586 27.1648 4.33977 26.9609 4.58899 26.9609H22.3741V22.6562C22.3741 22.2768 22.8159 22.0615 23.1105 22.2994L31.1478 28.6432C31.2019 28.6855 31.2457 28.7397 31.2759 28.8015C31.306 28.8634 31.3216 28.9312 31.3216 29C31.3216 29.0688 31.306 29.1366 31.2759 29.1985C31.2457 29.2603 31.2019 29.3144 31.1478 29.3568L23.1105 35.7006C22.8159 35.9328 22.3741 35.7232 22.3741 35.3437Z" fill="black"/>
      </svg>
    </router-link>

    <svg @click="logout" v-if="token" class="logout" width="58" height="58" viewBox="0 0 58 58" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M29.5494 4.64453C20.9117 4.62187 13.3105 9.09082 8.96618 15.8424C8.7736 16.1426 8.98883 16.5391 9.34567 16.5391H13.3275C13.5994 16.5391 13.8543 16.4201 14.0242 16.2105C14.4207 15.7291 14.8455 15.2646 15.2929 14.8228C17.1394 12.982 19.2861 11.532 21.6763 10.5238C24.1459 9.48163 26.774 8.94921 29.4871 8.94921C32.2002 8.94921 34.8283 9.47597 37.2978 10.5238C39.688 11.532 41.8347 12.982 43.6812 14.8228C45.5277 16.6637 46.972 18.8103 47.9859 21.1949C49.0337 23.6644 49.5605 26.2869 49.5605 29C49.5605 31.7131 49.0281 34.3355 47.9859 36.8051C46.9777 39.1896 45.5277 41.3363 43.6812 43.1771C41.8347 45.018 39.688 46.468 37.2978 47.4762C34.8263 48.52 32.17 49.0556 29.4871 49.0508C26.774 49.0508 24.1459 48.5184 21.6763 47.4762C19.2908 46.469 17.123 45.0091 15.2929 43.1771C14.8455 42.7297 14.4263 42.2652 14.0242 41.7894C13.8543 41.5799 13.5937 41.4609 13.3275 41.4609H9.34567C8.98883 41.4609 8.76793 41.8574 8.96618 42.1576C13.3048 48.8922 20.872 53.3555 29.4871 53.3555C42.8656 53.3555 53.7293 42.5881 53.8652 29.2492C54.0011 15.6951 43.1205 4.67851 29.5494 4.64453ZM22.3741 35.3437V31.0391H4.58899C4.33977 31.0391 4.13586 30.8352 4.13586 30.5859V27.4141C4.13586 27.1648 4.33977 26.9609 4.58899 26.9609H22.3741V22.6562C22.3741 22.2768 22.8159 22.0615 23.1105 22.2994L31.1478 28.6432C31.2019 28.6855 31.2457 28.7397 31.2759 28.8015C31.306 28.8634 31.3216 28.9312 31.3216 29C31.3216 29.0688 31.306 29.1366 31.2759 29.1985C31.2457 29.2603 31.2019 29.3144 31.1478 29.3568L23.1105 35.7006C22.8159 35.9328 22.3741 35.7232 22.3741 35.3437Z" fill="black"/>
    </svg>
  </header>
</template>

<script>
export default {
  name: "Header",

  data(){
    return{
      token: sessionStorage.getItem('token')
    }
  },

  methods: {
    logout(){
      sessionStorage.removeItem('token')
      this.$router.push('/login')
    }
  }
}
</script>

<style scoped lang="scss">
@import "src/assets/styles/main";

.flex{
  display: flex;
  flex-direction: column;

  a{
    margin-bottom: 1rem;
  }
}

header{
  position: absolute;
  left: 0;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  padding: 1rem;
  margin-bottom: 1rem;
  height: calc(100% - sizeAuto(39));
  border-right: 1px solid #000;

  svg{
    width: sizeAuto(32);
    height: sizeAuto(32);
    cursor: pointer;
  }

  .logout{
    transform: rotate(180deg);
  }
}

</style>